# Class CIM_J2eeResourceOnServer
extends CIM_ResourceOfSystem

CIM_J2eeResourceOnServer is an association that establishes the relationship between a J2EE server and its resources.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ResourceOfSystem
|
+--CIM_J2eeResourceOnServer

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_J2eeResourceOnServer is an association that establishes the relationship between a J2EE server and its resources.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_J2eeResourceOnServer | CIM_J2eeServer
PartComponent | CIM_J2eeResourceOnServer | CIM_J2eeResource

## Class Methods